Bug 117086 - [CSS Regions] CSS transforms applied to content and regions do not "cancel" each other
Summary: [CSS Regions] CSS transforms applied to content and regions do not "cancel" e...
Status: NEW
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 57312
  Show dependency treegraph
 
Reported: 2013-05-31 09:56 PDT by Mihai Balan
Modified: 2013-06-13 10:33 PDT (History)
1 user (show)

See Also:


Attachments
Test-case (1.05 KB, text/html)
2013-05-31 09:56 PDT, Mihai Balan
no flags Details
Test-case (1.38 KB, application/zip)
2013-06-02 09:06 PDT, Mihai Balan
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mihai Balan 2013-05-31 09:56:55 PDT
Created attachment 203456 [details]
Test-case

In case of simple DOM nesting, applying a transform on an element and the inverse transform on the parent should render as if no transforms were applied.
However, if a 3D transform is applied to content flowed in a region and the inverse transform is applied to the region, the result still has some residual transformation applied. This bug is most likely related to bug 114293 where the perspective is not obeyed.
Comment 1 Mihai Balan 2013-06-02 09:06:10 PDT
Created attachment 203530 [details]
Test-case
Comment 2 Michelangelo De Simone 2013-06-13 10:33:23 PDT
Still repros on today's nightly (r151543)